> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gameboost.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List seller breaks

> Retrieve a paginated history of all break sessions for the authenticated seller with filtering and sorting options.



## OpenAPI

````yaml /api/openapi.json get /v2/seller-breaks
openapi: 3.1.0
info:
  title: GameBoost
  version: 2.0.0
servers:
  - url: https://api.gameboost.com
    description: GameBoost API
security:
  - BearerTokenSecurityScheme: []
tags:
  - name: Games
    description: Games
  - name: Seller Breaks
    description: Seller Breaks
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: Account Offers
    description: Account Offers
  - name: Account Orders
    description: Account Orders
  - name: Item Offers
    description: Item Offers
  - name: Item Orders
    description: Item Orders
  - name: Currency Offers
    description: Currency Offers
  - name: Currency Orders
    description: Currency Orders
  - name: Webhooks
    description: Webhook events sent to your endpoints when specific actions occur
  - name: Gift Card Offers
    description: Gift Card Offers
  - name: Gift Card Orders
    description: Gift Card Orders
paths:
  /v2/seller-breaks:
    get:
      tags:
        - Seller Breaks
      summary: List seller breaks
      description: >-
        Retrieve a paginated history of all break sessions for the authenticated
        seller with filtering and sorting options.
      parameters:
        - name: filter[search]
          in: query
          description: Search seller breaks by id or comment
          required: false
          schema:
            type: string
        - name: filter[id]
          in: query
          description: Filter by break ID.
          required: false
          schema:
            type: string
            example: 3,6,9
        - name: filter[mode]
          in: query
          description: Filter by break mode.
          required: false
          schema:
            enum:
              - disable_all
              - disable_manual_allow_instant
              - allow_all_with_reservation
            type: string
            example: disable_all
        - name: filter[active]
          in: query
          description: Filter by active (true) or ended (false) breaks.
          required: false
          schema:
            type: boolean
        - name: filter[started_at]
          in: query
          description: >-
            Filter by started at. Supports single date (YYYY-MM-DD) or date
            range (YYYY-MM-DD,YYYY-MM-DD).
          required: false
          schema:
            type: string
            example: 2019-08-14,2025-12-31
        - name: filter[ended_at]
          in: query
          description: >-
            Filter by ended at. Supports single date (YYYY-MM-DD) or date range
            (YYYY-MM-DD,YYYY-MM-DD).
          required: false
          schema:
            type: string
            example: 2019-08-14,2025-12-31
        - name: filter[created_at]
          in: query
          description: >-
            Filter by created at. Supports single date (YYYY-MM-DD) or date
            range (YYYY-MM-DD,YYYY-MM-DD).
          required: false
          schema:
            type: string
            example: 2019-08-14,2025-12-31
        - name: filter[updated_at]
          in: query
          description: >-
            Filter by updated at. Supports single date (YYYY-MM-DD) or date
            range (YYYY-MM-DD,YYYY-MM-DD).
          required: false
          schema:
            type: string
            example: '2025-10-05'
        - name: sort
          in: query
          description: Sort by field. Prefix with - for descending order.
          required: false
          schema:
            enum:
              - id
              - '-id'
              - started_at
              - '-started_at'
              - ended_at
              - '-ended_at'
              - created_at
              - '-created_at'
              - updated_at
              - '-updated_at'
            default: '-started_at'
            type: string
            example: '-started_at'
        - name: per_page
          in: query
          description: Items per page (max 50)
          required: false
          schema:
            default: 15
            type: integer
            maximum: 50
            minimum: 1
      responses:
        '200':
          description: A paginated list of seller breaks
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/SellerBreak'
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                      from:
                        type: integer
                      last_page:
                        type: integer
                      per_page:
                        type: integer
                      to:
                        type: integer
                      total:
                        type: integer
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                        nullable: true
                      last:
                        type: string
                        nullable: true
                      prev:
                        type: string
                        nullable: true
                      next:
                        type: string
                        nullable: true
        '401':
          $ref: '#/components/responses/ErrorUnauthenticated'
        '403':
          $ref: '#/components/responses/ErrorForbidden'
        '429':
          $ref: '#/components/responses/ErrorRateLimited'
      security:
        - BearerToken: []
components:
  schemas:
    SellerBreak:
      description: Seller break session
      type: object
      properties:
        id:
          description: Unique identifier for the break session
          type: integer
        mode:
          description: Break mode
          enum:
            - disable_all
            - disable_manual_allow_instant
            - allow_all_with_reservation
          type: string
        comment:
          description: Optional break comment stored as the internal seller break message
          type: string
          nullable: true
        started_at:
          description: Unix timestamp when the break started
          type: integer
        ended_at:
          description: Unix timestamp when the break ended
          type: integer
          nullable: true
        created_at:
          description: Unix timestamp when the break record was created
          type: integer
        updated_at:
          description: Unix timestamp when the break record was last updated
          type: integer
  responses:
    ErrorUnauthenticated:
      description: >-
        User is not authenticated, happens when the API key is missing, expired
        or invalid
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthenticated.
    ErrorForbidden:
      description: >-
        User is not authorized to perform this action, happens when you try to
        access a resource you do not have permission to access
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: This action is unauthorized.
    ErrorRateLimited:
      description: >-
        Rate limit exceeded, happens when you exceed the rate limit for the
        endpoint
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Too many requests.
  securitySchemes:
    BearerToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````